net.sf.jasperreports.olap.mapping

## Class Axis

- java.lang.Object
- - net.sf.jasperreports.olap.mapping.Axis

-     public class Axis
      extends java.lang.Object

  Version:
    $Id: Axis.java 5879 2013-01-07 20:35:36Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `AXIS_NAMES`
    `static java.lang.String` | `AXIS0`
    `static java.lang.String` | `AXIS1`
    `static java.lang.String` | `AXIS2`
    `static java.lang.String` | `AXIS3`
    `static java.lang.String` | `AXIS4`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Axis(int idx)`
    `Axis(java.lang.String name)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getAxisIdx(java.lang.String name)`
    `int` | `getIdx()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### AXIS0

          public static final java.lang.String AXIS0

      See Also:
        Constant Field Values

    - #### AXIS1

          public static final java.lang.String AXIS1

      See Also:
        Constant Field Values

    - #### AXIS2

          public static final java.lang.String AXIS2

      See Also:
        Constant Field Values

    - #### AXIS3

          public static final java.lang.String AXIS3

      See Also:
        Constant Field Values

    - #### AXIS4

          public static final java.lang.String AXIS4

      See Also:
        Constant Field Values

    - #### AXIS_NAMES

          public static final java.lang.String[] AXIS_NAMES

  - ### Constructor Detail

    - #### Axis

          public Axis(int idx)

    - #### Axis

          public Axis(java.lang.String name)

  - ### Method Detail

    - #### getAxisIdx

          public static final int getAxisIdx(java.lang.String name)

    - #### getIdx

          public int getIdx()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com